Package Details: lightdm-gdmflexiserver 1-1

Git Clone URL: https://aur.archlinux.org/lightdm-gdmflexiserver.git (read-only, click to copy)
Package Base: lightdm-gdmflexiserver
Description: Dummy script for applications expecting gdm instead of lightdm
Upstream URL: None
Licenses: GPL
Conflicts: gdm
Submitter: Max-P
Maintainer: Max-P
Last Packager: Max-P
Votes: 1
Popularity: 0.000000
First Submitted: 2015-11-28 20:42
Last Updated: 2015-11-28 20:43

Required by (0)

Sources (1)

Latest Comments

Max-P commented on 2021-04-26 20:14

It looks like lightdm-flexiserver is an exact duplicate and shouldn't really exist. The other one looks more popular however so I guess I could just request mine for deletion.

gdmflexiserver can't be used as a conflicts because gdmflexiserver is not a real package, so that would only work if we all agree on providing this. I can list the other packages as conflits tho, but pacman is already doing its job catching that error.

dreieck commented on 2021-04-26 15:09

Should also conflict with lightdm-flexiserver:

(1/1) checking for file conflicts                                                                                            [###########################################################################] 100%
error: failed to commit transaction (conflicting files)
lightdm-gdmflexiserver: /usr/bin/gdmflexiserver exists in filesystem (owned by lightdm-flexiserver)

Maybe it should also provide lightdm-flexiserver as well as gdmflexiserver?

Thanks for maintaining!

dreieck commented on 2021-04-26 15:07

Should conflict with lxdm-gdmflexiserver:

(1/1) checking for file conflicts                                                                                            [###########################################################################] 100%
error: failed to commit transaction (conflicting files)
lightdm-flexiserver: /usr/bin/gdmflexiserver exists in filesystem (owned by lxdm-gdmflexiserver)

Thanks for maintaining!

Max-P commented on 2015-11-28 20:45

It seems XFCE, Xscreensaver and a bunch of other applications expect gdm's "gdmflexiserver" binary to exist in order to enable user switching. The workaround described in the wiki works fine, but I prefer having pacman manage these files. So I made it a package.